diff --git a/tests/PHPUnit/travis-helper.sh b/tests/PHPUnit/travis-helper.sh
new file mode 100644
index 0000000000000000000000000000000000000000..39e9b9376ddd54fd46858d68a87c1b769df10d1a
--- /dev/null
+++ b/tests/PHPUnit/travis-helper.sh
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+# Sourced from https://github.com/travis-ci/travis-build/blob/master/lib/travis/build/script/templates/header.sh
+# + Tweaked to display output and not show the status line
+travis_wait() {
+  local timeout=$1
+
+  if [[ $timeout =~ ^[0-9]+$ ]]; then
+    # looks like an integer, so we assume it's a timeout
+    shift
+else
+    # default value
+    timeout=20
+  fi
+
+local cmd="$@"
+  local log_file=travis_wait_$$.log
+
+  $cmd
+  local cmd_pid=$!
+
+  travis_jigger $! $timeout $cmd &
+  local jigger_pid=$!
+  local result
+
+  {
+    wait $cmd_pid 2>/dev/null
+    result=$?
+    ps -p$jigger_pid &>/dev/null && kill $jigger_pid
+  } || return 1
+
+  if [ $result -eq 0 ]; then
+echo -e "\n${GREEN}The command \"$TRAVIS_CMD\" exited with $result.${RESET}"
+  else
+echo -e "\n${RED}The command \"$TRAVIS_CMD\" exited with $result.${RESET}"
+  fi
+
+echo -e "\n${GREEN}Log:${RESET}\n"
+  cat $log_file
+
+  return $result
+}
+
+travis_jigger() {
+  # helper method for travis_wait()
+  local cmd_pid=$1
+  shift
+local timeout=$1 # in minutes
+  shift
+local count=0
+
+
+  # clear the line
+  echo -e "\n"
+
+  while [ $count -lt $timeout ]; do
+count=$(($count + 1))
+    #echo -ne "Still running ($count of $timeout): $@\r"
+    sleep 60
+  done
+
+echo -e "\n${RED}Timeout (${timeout} minutes) reached. Terminating \"$@\"${RESET}\n"
+  kill -9 $cmd_pid
+}
\ No newline at end of file
diff --git a/tests/PHPUnit/travis.sh b/tests/PHPUnit/travis.sh
index 3b71f6d9e87fc2906f0c420021048fcb7ce41c9b..f1a43fb9a0cc9838141198b82cbf75e19dc02c32 100755
--- a/tests/PHPUnit/travis.sh
+++ b/tests/PHPUnit/travis.sh
@@ -1,15 +1,7 @@
 #!/bin/bash
 
-if [ "$TEST_SUITE" != "UITests" ] && [ "$TEST_SUITE" != "AngularJSTests" ]
-then
-    if [ `phpunit --group __nogroup__ | grep "No tests executed" | wc -l` -ne 1 ]
-    then
-        echo "=====> There are some tests functions which do not have a @group set. "
-        echo "       Please add the @group phpdoc comment to the following tests: <====="
-        phpunit --group __nogroup__ --testdox | grep "[x]"
-        exit 1
-    fi
-fi
+# for travis_wait function
+source travis-helper.sh
 
 if [ -n "$TEST_SUITE" ]
 then
@@ -49,5 +41,6 @@ then
         fi
     fi
 else
-    phpunit --configuration phpunit.xml --coverage-text --colors
-fi
\ No newline at end of file
+    travis_wait phpunit --configuration phpunit.xml --coverage-text --colors
+fi
+